package jobs

import (
	"log"
	"os"

	"code.locsi.com/locsi/queue/tasks"
	"github.com/hibiken/asynq"
)

func HandleWebSubSubscribeJob() {
	const redisAddr = "queue-redis-master:6379"
	client := asynq.NewClient(asynq.RedisClientOpt{Addr: redisAddr, Password: os.Getenv("REDIS_PASSWORD")})
	defer client.Close()
	task, err := tasks.NewWebSubSubscribeTask()
	if err != nil {
		log.Fatalf("could not create task: %v", err)
	}
	info, err := client.Enqueue(task)
	if err != nil {
		log.Fatalf("could not enqueue task: %v", err)
	}
	log.Printf("enqueued websub task: id=%s queue=%s", info.ID, info.Queue)
}
